Skip to main content
curl https://api.chargeapi.co/v1/webhook_endpoints/wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46 \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46",
    "object": "webhook_endpoint",
    "api_version": "2026-03-01",
    "application": null,
    "created": "2026-04-01T00:15:19.009Z",
    "description": null,
    "enabled_events": ["report.succeeded", "reservation.confirmed"],
    "livemode": false,
    "metadata": {},
    "secret": "whsec_GsBj9TK2XnLA1MFQHadquPSTKnjxkwI8",
    "status": "enabled",
    "url": "https://example.com/webhook/endpoint"
}
Retrieves a webhook endpoint.
curl https://api.chargeapi.co/v1/webhook_endpoints/wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46 \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46",
    "object": "webhook_endpoint",
    "api_version": "2026-03-01",
    "application": null,
    "created": "2026-04-01T00:15:19.009Z",
    "description": null,
    "enabled_events": ["report.succeeded", "reservation.confirmed"],
    "livemode": false,
    "metadata": {},
    "secret": "whsec_GsBj9TK2XnLA1MFQHadquPSTKnjxkwI8",
    "status": "enabled",
    "url": "https://example.com/webhook/endpoint"
}

Parameters

No parameters.

Returns

Returns the webhook endpoint.